optoKummenberg

Loading...
Searching...
No Matches
optoKummenberg.registers.ClassAbstracts.System Class Reference
Inheritance diagram for optoKummenberg.registers.ClassAbstracts.System:

## Public Member Functions
| __init__ (self, int or None channel=None, board=None)
| set_register (self, str or int register_name_or_id, value, bool set_internal=False)
| set_register_id (self, int register_id, value, type=None)
| get_register (self, str or int register_name_or_id)
| get_register_id (self, int register_id)
| get_register_names (self)

## Public Attributes
| name = self.__class__.__name__
| register_list = self._get_register_list()

## Protected Member Functions
| _get_register_list (self)

## Protected Attributes
| _channel = channel
| _board = board

## Static Protected Attributes
bool | _is_a_system = False

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.ClassAbstracts.System.__init__ | ( |  | self,
|  | int or None | channel = None,
|  |  | board = None )

## Member Function Documentation

## ◆ _get_register_list()

optoKummenberg.registers.ClassAbstracts.System._get_register_list | ( |  | self | ) |
| protected

## ◆ get_register()

optoKummenberg.registers.ClassAbstracts.System.get_register | ( |  | self,
|  | str or int | register_name_or_id )

## ◆ get_register_id()

optoKummenberg.registers.ClassAbstracts.System.get_register_id | ( |  | self,
|  | int | register_id )

## ◆ get_register_names()

optoKummenberg.registers.ClassAbstracts.System.get_register_names | ( |  | self | ) |

## ◆ set_register()

optoKummenberg.registers.ClassAbstracts.System.set_register | ( |  | self,
|  | str or int | register_name_or_id,
|  |  | value,
|  | bool | set_internal = False )

## ◆ set_register_id()

optoKummenberg.registers.ClassAbstracts.System.set_register_id | ( |  | self,
|  | int | register_id,
|  |  | value,
|  |  | type = None )

## Member Data Documentation

## ◆ _board

optoKummenberg.registers.ClassAbstracts.System._board = board
| protected

## ◆ _channel

optoKummenberg.registers.ClassAbstracts.System._channel = channel
| protected

## ◆ _is_a_system

bool optoKummenberg.registers.ClassAbstracts.System._is_a_system = False
| static protected

## ◆ name

optoKummenberg.registers.ClassAbstracts.System.name = self.__class__.__name__

## ◆ register_list

optoKummenberg.registers.ClassAbstracts.System.register_list = self._get_register_list()

The documentation for this class was generated from the following file:

- C:/git/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/ClassAbstracts.py